package com.wanji.indicators.config;

import com.wanji.indicators.util.PropertiesHelper;
import org.apache.flink.streaming.connectors.redis.common.config.FlinkJedisConfigBase;
import org.apache.flink.streaming.connectors.redis.common.config.FlinkJedisPoolConfig;

import java.util.Properties;

/**
 * @author fengyi
 * @date 2023/4/7
 * @description
 */
public class RedisConfig   {
      PropertiesHelper instance = PropertiesHelper.getInstance();
      Properties properties = instance.getProperties();

    public   FlinkJedisConfigBase  getRedisConfig(){
        FlinkJedisConfigBase config = new FlinkJedisPoolConfig.Builder()
                .setHost(properties.getProperty("redis.host"))
                .setPassword(properties.getProperty("redis.password"))
                .setPort(Integer.parseInt(properties.getProperty("redis.port")))
                 .setDatabase(Integer.parseInt(properties.getProperty("redis.database")))
                .build();
        return config;
    }
}
